#!/bin/bash
# Autor: Arturo Martín Romero - amartinromero@gmail.com - programa de software libre

. /etc/default/vx-dga-variables/vx-dga-variables-general.conf

USUARIO=$(who | grep " :0 " | cut -d" " -f1)

while true ; do
	# En primer lugar tratamos de montar automáticamente las dos unidades de red compartidas: alumnos y profesores
	if ping -c 1 $IPCACHE ; then
		if ! grep ^$IPCACHE:/nfs /etc/mtab &> /dev/null ; then
			if mount /media/profesores && mount /media/alumnos ; then
				notify-send -i /usr/share/pixmaps/vx-dga-correcto.png \
				"Se han montado correctamente las unidades de red compartidas para profesores y alumnos"
			else
				notify-send -i /usr/share/pixmaps/vx-dga-incorrecto.png \
				"No se han podido montar las Unidades de Red. Ha aparecido un error inesperado"
			fi
		fi
	# Comprobamos por separado que ambas unidades de red están activas: alumnos y profesores
		if ! grep ^$IPCACHE:/nfs/profesores /etc/mtab ; then
			if mount /media/profesores ; then
				notify-send -i /usr/share/pixmaps/vx-dga-correcto.png \
				"Se ha montado correctamente la unidad de red profesores"
			else
				notify-send -i /usr/share/pixmaps/vx-dga-incorrecto.png \
				"No se han podido montar las Unidad de Red de Profesores. Ha aparecido un error inesperado"
			fi
		fi
		if ! grep ^$IPCACHE:/nfs/alumnos /etc/mtab ; then
			if mount /media/alumnos ; then
				notify-send -i /usr/share/pixmaps/vx-dga-correcto.png \
				"Se ha montado correctamente la unidad de red alumnos"
			else
				notify-send -i /usr/share/pixmaps/vx-dga-incorrecto.png \
				"No se han podido montar las Unidad de Red de Alumnos. Ha aparecido un error inesperado"
			fi
		fi
	# Si el usuario que inicia sesión es profesor se montará una unidad de red privada
		if expr substr $USUARIO 1 3 | grep pro && ! grep ^$IPCACHE:/nfs/privado /etc/mtab ; then
			if mount /media/privado ; then
				notify-send -i /usr/share/pixmaps/vx-dga-correcto.png \
				"Se ha montado correctamente la unidad de red privada para profesores"
			else
				notify-send -i /usr/share/pixmaps/vx-dga-incorrecto.png \
				"No se han podido montar las Unidad de Red Privada para Profesores. Ha aparecido un error inesperado"
			fi
		fi
	fi
	# Por si se produjera una desconexión inesperada, cada 30 segundos lo revisamos
	sleep 30
done
